QGIS Application - Bug report #21611
QGis 3.4 fails to apply style file to rasters
2019-03-18 04:55 PM - Luis de Sousa

Status: Open

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.6.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29427
Description

I need have a number of .qml style files that | need to apply on raster maps. These .gml files were created with QGis itself, here is an
example:
https://files.isric.org/soilgrids/legends/ORCDRC.gml

In QGis 3.4 | apply this style by accessing the layer context menu, then following Properties -> Symbology -> Style and selecting the
correct .gml file. While the Properties menu is still on the map canvas shows the style correctly applied (Figure 1). But when I click OK and
the Properties dialogue closes the layer disappears (F1gure 2). If | open the Properties dialogue again no style is displayed.

Any cartograms (layouts) created with this layer are also affected.

Related issues:
Duplicated by QGIS Application - Bug report # 21880: Style file (QML) can't b... Closed 2019-04-18

History

#1 - 2019-03-20 01:29 PM - Giovanni Manghi
- Priority changed from Normal to High

In 3.6 | think | see even another wrong behavour: when | load the style you linked then on the map is applied correctly, but in the styles properties dialog a
wrong color ramp is applied, so when the the dialog is closed with "ok" the wrong style is also applied.

#2 - 2019-04-18 01:45 PM - Giovanni Manghi
- Duplicated by Bug report #21880: Style file (QML) can't be used to add styles to rasters added

#3 - 2019-04-18 01:46 PM - Giovanni Manghi
- Operating System deleted (Ubuntu 18.04)
- Affected QGIS version changed from 3.4.5 to 3.6.1

Files
QGis_Styles02.png 84.1 KB 2019-03-18 Luis de Sousa
QGis_Styles01.png 442 KB 2019-03-18 Luis de Sousa
